Bug 216328 - should be intelligent about RAID creation [NEEDINFO]
should be intelligent about RAID creation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: Reopened
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
Reported: 2006-11-19 05:53 EST by Russell Coker
Modified: 2009-01-08 23:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 23:34:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (russell)

Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-11-19 05:53:57 EST
When creating a software RAID-1 device for /boot in a kickstart script 
Anaconda likes to put both parts on the same disk (being small partitions they 
both fit nicely).

I believe that this is a bug and that Anaconda should refuse to put multiple 
parts of a RAID device on the same disk because for levels 1, 5, and 6 it 
breaks the reliability benefits you expect from those RAID levels and for 
level 0 it just makes performance suck.

If a ks.cfg file demands multiple partitions on one hardware device be used 
for a software RAID then installation should be aborted with an error.

If there are multiple ways of interpreting a ks.cfg file (IE neither part of a 
RAID-1 specifies which disk it should be on) then an interpretation should be 
found which results in not having multiple parts on one hardware device.  If 
no such interpretation is possible (EG a 30G RAID-1 is specified but there is 
only one disk >=30G in size) then installation should be aborted.
Comment 1 Bug Zapper 2008-04-04 00:47:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:52:02 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Russell Coker 2008-05-06 21:24:47 EDT
Now system-config-kickstart has support for creating software RAID devices 

But it gives the error message "To create a new RAID partition, you must 
specify either a hard drive device name or an existing partition" when I try 
to create a partition without making the partition on a specific disk.

I can create a filesystem on a non-RAID device without specifying a disk, it 
gets "Auto" in the "Hard Drives" column.  It should be possible for RAID to do 
this as well.  If an N disk RAID is specified then it just uses the first N 
disks that are large enough.
Comment 4 Bug Zapper 2008-11-26 02:06:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Chris Lumens 2008-11-26 12:02:25 EST
Hm, never seen that before but I've also never tried.  Can you attach your kickstart filr so we can work in replicating this here?  Thanks.
Comment 6 Bug Zapper 2009-01-08 23:34:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.